BSON_MALLOC(3)

NAME
bson_malloc - bson_malloc()

SYNOPSIS

void *
bson_malloc (size_t num_bytes);

PARAMETERS

•   num_bytes: A size_t containing the number of bytes to allocate.

DESCRIPTION

This is a portable malloc() wrapper.

In general, this function will return an allocation at least sizeof(void*) bytes or bigger.

If there was a failure to allocate num_bytes bytes, the process will be aborted.

WARNING: This function will abort on failure to allocate memory.

RETURNS

A pointer to a memory region which HAS NOT been zeroed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc